[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Porting packages to use po-debconf for debconf template translation management



Andre Luis Lopes wrote:
> I'm wondering if, in addition to changing packages debian/control file to
> Build-Depends/Build-Depends-Indep on debhelper (>= 4.1.16), I should
> declare a dependency on po-debconf also. If that's the case, which
> version of po-debconf they should depends preferably ?

debhelper depends on po-debconf, so there is no need to make a package
that uses debhelper build-depend on po-debconf. I don't know of anything
that requires a versoned dependency either.

> Should packages instead depends on the newer (as of debhelper 3.4.4
> per debhelper's changelog) {misc:Depends} substvar variable ? Will it
> correctly pull po-debconf ?

You're confusing Build-Depends and Depends. Of course misc:Depends is a
useful thing to put in the depends line, it will give you correct
dependencies on debconf, amoung other things.

-- 
see shy jo

Attachment: pgpCoNFksfmAb.pgp
Description: PGP signature


Reply to: